org.apache.fop.render.afp

## Class AFPFontConfig.AFPTrueTypeFont

- java.lang.Object
- - org.apache.fop.fonts.Typeface
  - - org.apache.fop.afp.fonts.AFPFont
    - - org.apache.fop.afp.fonts.AbstractOutlineFont
      - - org.apache.fop.afp.fonts.OutlineFont
        - - org.apache.fop.render.afp.AFPFontConfig.AFPTrueTypeFont

All Implemented Interfaces:
  FontMetrics

Enclosing class:
  AFPFontConfig

    public static class AFPFontConfig.AFPTrueTypeFont
    extends OutlineFont

### Field Summary

### Fields inherited from class org.apache.fop.afp.fonts.AbstractOutlineFont

`charSet`

### Fields inherited from class org.apache.fop.afp.fonts.AFPFont

`name`

### Fields inherited from class org.apache.fop.fonts.Typeface

`eventListener, NOT_FOUND`

### Constructor Summary

Constructors
Constructor and Description
`AFPTrueTypeFont(String name, boolean embeddable, CharacterSet charSet, AFPEventProducer eventProducer, String ttc, URI uri, boolean positionByChar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FontType` `getFontType()` Returns the type of the font.
`String` `getTTC()`
`URI` `getUri()`
`boolean` `isPositionByChar()`

### Methods inherited from class org.apache.fop.afp.fonts.OutlineFont

`getBoundingBox, getWidth`

### Methods inherited from class org.apache.fop.afp.fonts.AbstractOutlineFont

`getAscender, getCapHeight, getCharacterSet, getCharacterSet, getDescender, getEncodingName, getUnderlinePosition, getUnderlineThickness, getXHeight, hasChar, mapChar`

### Methods inherited from class org.apache.fop.afp.fonts.AFPFont

`getEmbedFontName, getFamilyNames, getFontName, getFontURI, getFullName, getKerningInfo, getStrikeoutPosition, getStrikeoutThickness, getWidths, hasKerningInfo, isEmbeddable, toString, toUnicodeCodepoint`

### Methods inherited from class org.apache.fop.fonts.Typeface

`getMaxAscent, hadMappingOperations, hasFeature, isCID, isMultiByte, notifyMapOperation, setEventListener, warnMissingGlyph`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AFPTrueTypeFont

    public AFPTrueTypeFont(String name,
                           boolean embeddable,
                           CharacterSet charSet,
                           AFPEventProducer eventProducer,
                           String ttc,
                           URI uri,
                           boolean positionByChar)

### Method Detail

#### getFontType

    public FontType getFontType()

Description copied from class: `AFPFont`
Returns the type of the font.

Specified by:
  `getFontType` in interface `FontMetrics`
Overrides:
  `getFontType` in class `AFPFont`
Returns:
  the font type

#### getTTC

    public String getTTC()

#### getUri

    public URI getUri()

#### isPositionByChar

    public boolean isPositionByChar()